{% extends "base.html" %}
{% from "_macros.html" import render_field_with_errors, render_field %}

{% block content %}
{% include "security/_messages.html" %}
<h1>{{ _fsdomain('Change password') }}</h1>
<div class="card">
    <div class="card-body">
        <form action="{{ url_for_security('change_password') }}" method="POST" name="change_password_form">
            {{ change_password_form.hidden_tag() }}
            {{ render_field_with_errors(change_password_form.password,
                                        placeholder="old password",
                                        class="form-control",
                                        autocomplete="off",
                                        autofocus=True) }}
            {{ render_field_with_errors(change_password_form.new_password,
                                        placeholder="new password", autocomplete="off") }}
            {{ render_field_with_errors(change_password_form.new_password_confirm,
                                        placeholder="confirm new password", autocomplete="off") }}
            {{ render_field(change_password_form.submit) }}
        </form>
    </div>
</div>
{% endblock %}